#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;

    cin >> n;
    int a[n];

    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
    }

    int q;

    cin >> q;

    for(int i = 0; i < q; i++)
    {
        int li, lj;

        cin >> li >> lj;

        if(li == lj)
            cout << "DA" << endl;
        else
        {
            int koriscenoBris = 0;
            for(int j = li; j < lj; j++)
            {
                if(a[j] < a[j - 1])
                {
                    if(koriscenoBris == 0)
                        koriscenoBris = 1;
                    else
                    {
                        cout << "NE" << endl;
                        koriscenoBris = 2;
                        break;
                    }
                }
            }

            if(koriscenoBris == 1)
                cout << "DA" << endl;
        }
    }

    return 0;
}